/* link to hbook     */
/*      CMV  94      */

#ifndef HBOOK_H_SEEN
#define HBOOK_H_SEEN

#ifdef __cplusplus
extern "C" {
#endif

void hbandx_(int_4 *,float *,float *,float *);
void hbandy_(int_4 *,float *,float *,float *);

void hbarx_(int_4 *);
void hbary_(int_4 *);

void hbfun1_(int_4 *,char *,int_4 *,float *,float *,float fun(float *),int_4);
void hbfun2_(int_4 *,char *,int_4 *,float *,float *,int_4 *,float *,float *
            ,float fun(float *,float *),int_4);
void hbigbi_(int_4 *,int_4 *);
void hbook1_(int_4 *,char *,int_4 *,float *,float *,float *,int_4);
void hbook2_(int_4 *,char *,int_4 *,float *,float *
            ,int_4 *,float *,float *,float *,int_4);
void hbpro_(int_4 *,float *);
void hbprof_(int_4 *,char *,int_4 *,float *,float *
            ,float *,float *,char *,int_4,int_4);
void hbprox_(int_4 *,float *);
void hbproy_(int_4 *,float *);
void hbslix_(int_4 *,int_4 *,float *);
void hbsliy_(int_4 *,int_4 *,float *);
void hcdir_(char *,char *,int_4,int_4);
void hdelet_(int_4 *);
void hfill_(int_4 *,float *,float *,float *);
void hfithn_(int_4 *,char *,char *,int_4 *,float *
            ,float *,float *,float *,float *,float *,int_4,int_4);
void hfn_(int_4 *,float *);
void hfunc_(int_4 *,float fun(float *));
void hgive_(int_4 *,char *,int_4 *,float *,float *
                          ,int_4 *,float *,float *,int_4 *,int_4 *);
void hgn_(int_4 *,int_4 *,int_4 *,float *,int_4 *);
void hgnf_(int_4 *,int_4 *,float *,int_4 *);
void hgnpar_(int_4 *,char *,int_4);
float hi_(int_4 *,int_4 *);
void hidopt_(int_4 *,char *,int_4);
float hie_(int_4 *,int_4 *);
float hif_(int_4 *,int_4 *);
float hij_(int_4 *,int_4 *,int_4 *);
void hijxy_(int_4 *,int_4 *,int_4 *,float *,float *);
void hix_(int_4 *,int_4 *,float *);
void hldir_(char *,char *,int_4,int_4);
void hmdir_(char *,char *,int_4,int_4);
float hmax_(int_4 *);
void hmaxim_(int_4 *,float *);
float hmin_(int_4 *);
void hminim_(int_4 *,float *);
void hnorma_(int_4 *,float *);
void hnoent_(int_4 *,int_4 *);
void hpak_(int_4 *,float *);
void hpake_(int_4 *,float *);
void hprint_(int_4 *);
void hrend_(char *,int_4);
void hrin_(int_4 *,int_4 *,int_4 *);
float hrndm1_(int_4 *);
void hrndm2_(int_4 *,float *,float *);
void hropen_(int_4 *,char *,char *,char *,int_4 *,int_4 *,int_4,int_4,int_4);
void hrout_(int_4 *,int_4 *,char *,int_4);
void hscale_(int_4 *,float *);
float hstati_(int_4 *,int_4 *,char *,int_4 *,int_4);
float hsum_(int_4 *);
void hunpak_(int_4 *,float *,char *,int_4 *,int_4);
void hunpke_(int_4 *,float *,char *,int_4 *,int_4);
float hx_(int_4 *,float *);
float hxe_(int_4 *,float *);
float hxi_(int_4 *,float *,int_4 *);
float hxyij_(int_4 *,float *,float *,int_4 *,int_4 *);
float hxy_(int_4 *,float *,float *);

#ifdef __cplusplus
}
#endif

#endif

